Page MenuHomePhabricator

on a mobile device there's no way to get from a Flow topic page to the corresponding Flow board
Closed, ResolvedPublic

Description

On a mobile device there's no way to get from a Flow topic page to the corresponding Flow board - at least not one that I could find.

The desktop view has breadcrumb links, to solve this.

Example links:

T93347: Move the topic title to h1 on Flow topic pages is kinda related to this - the generic h1 title on topic pages is just as useless on mobile devices as it is on desktop, but having a link up to the board page could be pretty useful.


See also (more desktop related): T90280: Need tabs to get from a topic page to the associated content page(s) and talkpage(s)

Event Timeline

Amire80 created this task.Mar 20 2015, 9:59 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: DannyH, Amire80, Aklapper.
Amire80 set Security to None.
EBernhardson triaged this task as Normal priority.Mar 24 2015, 5:50 PM
EBernhardson added a subscriber: EBernhardson.
Quiddity updated the task description. (Show Details)Mar 24 2015, 5:57 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Mar 30 2015, 5:06 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 5:06 PM
Quiddity updated the task description. (Show Details)May 4 2015, 5:06 PM

Maybe mobile view discards the #contentSub div where links and breadcrumbs appear. It seems to do this in general, e.g. a subpage on mobile like https://m.mediawiki.org/wiki/API/Architecture_work/Planning has no breadcrumb trail "< API‎ | Architecture work" back up, compare with desktop https://www.mediawiki.org/wiki/API/Architecture_work/Planning

We'll have to talk to the mobile team about hiding these breadcrumbs.

Catrope added a subscriber: Catrope.

I sat down with @Jdlrobson and he found it was pretty easy to fix this (missing subtitle) from a technical perspective, he just needs some design input on how to make it look nice.

Catrope closed this task as Resolved.Jul 7 2015, 10:40 PM
Catrope claimed this task.